import Flutter
import UIKit
import Amplitude_iOS

public class SwiftHellomyrPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "hellomyr", binaryMessenger: registrar.messenger())
    let instance = SwiftHellomyrPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    let msg = (Amplitude.instance() != nil) ? "Amplitude Integrated" : "Amplitude not Integrated"
    result("iOS " + UIDevice.current.systemVersion + " \(msg)")
  }
}
